[Piuparts-commits] [piuparts] 03/04: is_testable_uninstallable: new custom script to skip some package tests

Holger Levsen holger at layer-acht.org
Wed Dec 21 09:54:01 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch develop
in repository piuparts.

commit b3f6f208b052e12a3c5ab655e3c04b7d41d985da
Author: Andreas Beckmann <anbe at debian.org>
Date:   Wed Dec 21 02:18:58 2016 +0100

    is_testable_uninstallable: new custom script to skip some package tests
    
    Signed-off-by: Andreas Beckmann <anbe at debian.org>
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 custom-scripts/scripts/is_testable_uninstallable | 78 ++++++++++++++++++++++++
 debian/changelog                                 |  2 +
 2 files changed, 80 insertions(+)

diff --git a/custom-scripts/scripts/is_testable_uninstallable b/custom-scripts/scripts/is_testable_uninstallable
new file mode 100755
index 0000000..4e82dfc
--- /dev/null
+++ b/custom-scripts/scripts/is_testable_uninstallable
@@ -0,0 +1,78 @@
+#!/bin/sh
+set -e
+
+# Return a non-zero error code to have piuparts skip testing an
+# uninstallable (or otherwise untestable) package.
+
+skip_test()
+{
+	echo "Skipping piuparts test: $*"
+	exit 1
+}
+
+skip_always()
+{
+	skip_test "$@"
+}
+
+skip_distupgrade()
+{
+	if [ "$PIUPARTS_TEST" = "distupgrade" ]; then
+		skip_test "$@"
+	fi
+}
+
+
+# * For uninstallable *broken* packages we usually run the normal
+#   installation+purge tests (which will fail and get the package marked
+#   as bugged) and only skip the distupgrade tests since there is no point
+#   in upgrading something that could not be installed as a start.
+#   Automatically marking the upgrade logs as bugged would also be more
+#   difficult, since the bug is in some *old* version.
+# * For packages requiring *external resources* not available in piuparts
+#   we usually skip the failing initial install, too, since that is
+#   *not a bug* in the package.
+
+case ${PIUPARTS_OBJECTS%%=*}@${PIUPARTS_DISTRIBUTION} in
+	bugzilla3 at lenny)
+		# removed after squeeze
+		skip_distupgrade "was excluded from squeeze-lts"
+		;;
+	distributed-net at lenny|\
+	distributed-net at squeeze)
+		skip_distupgrade "#655922: noninteractive install: postinst loops infinitely"
+		;;
+	dnscache-run at lenny)
+		skip_distupgrade "#664848: breaks dns resolution in chroot"
+		;;
+	dynare-matlab at squeeze)
+		skip_distupgrade "requires a matlab installation"
+		;;
+	dynare-matlab@*|\
+	matlab-gdf@*|\
+	matlab-support@*)
+		skip_always "requires a matlab installation"
+		;;
+	nautilus-dropbox at wheezy)
+		skip_distupgrade "#770402: downloads awfully slow, hangs during installation"
+		;;
+	runit-run at lenny)
+		skip_distupgrade "#542157: fails to install"
+		;;
+	sdic-eijiro at lenny)
+		skip_distupgrade "requires a dictionary CD"
+		;;
+	sdic-eijiro@*)
+		skip_always "requires a dictionary CD"
+		;;
+	steam at jessie)
+		skip_distupgrade "#772598: cannot preseed licence acceptance"
+		;;
+	ttf-root-installer at lenny)
+		skip_always "download location disappeared"
+		;;
+	webissues-server at jessie)
+		# removed after jessie
+		skip_distupgrade "#677062: fails to purge - command ucf in postrm not found"
+		;;
+esac
diff --git a/debian/changelog b/debian/changelog
index ce657b9..886ea08 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -20,6 +20,8 @@ piuparts (0.74) UNRELEASED; urgency=medium
     onwards.
   * scripts/post-{install,purge}-exceptions: Wait for dkms progress indicator
     to terminate.
+  * scripts/is_testable_uninstallable: New custom script to exclude some
+    uninstallable (or similarily broken) packages from being tested.
   * custom-scripts/scripts-debug-{remove,purge}: Improved debugging of
     maintainer scripts during package removal.
   * known_problems/debsums_mismatch_*.conf: Report missing symlinks and

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/piuparts/piuparts.git



More information about the Piuparts-commits mailing list